Skip to main content

Get SSO Login URL

GET
/users/{id}/urls/login
info

This URL is not to be used without discussing its implementation with an MX Integration engineer.

This URL can be used to create a full screen version of the widget software that is capable of being refreshed without ending the session. This is not a recommended usage but is provided for compatibility purposes for certain circumstances.

Request sample

Request
Language:shell

_10
curl -i https://int-sso.moneydesktop.com/{client_id}/users/{user_id}/urls/login.xml \
_10
-H "Accept: application/vnd.moneydesktop.sso.v3+xml" \
_10
-H "MD-API-KEY: {api_key}"

Response sample

XML
JSON
Language:xml

_10
<url>
_10
<user_id>unique-user-id</user_id>
_10
<type>login</type>
_10
<url>https://widgets.moneydesktop.com/login/XXXXX</url>
_10
</url>